Module: dcmnet Compiler:

Operating System:

Description

Currently, movescu's --output-directory option is ignored for creating output files when the bit-preserving mode (+B or
--bit-preserving) is used. That means the file is always written to the current working directory, which is not expected by the user and
also not intended.

This issue has been reported by Luis Miguel Santos <luis.santos2@nih.gov >.

History

#1 - 2024-05-03 18:27 - Jorg Riesmeier

- Subject changed from movescu's bit-preserving option is not respecting the --output-directory option to movescu's --bit-preserving option is not
respecting the --output-directory option

- Description updated
#2 - 2024-05-07 12:38 - Marco Eichelberg
This issue should also be checked in the tools getscu , storescp and decmrecv , which all support the options "--bit-preserving" and

"--output-directory"”.

#3 - 2024-05-23 16:18 - Jorg Riesmeier

The tools getscu (based on DemSCU) and decmrecv (based on DecmStorageSCP) are not affected by this issues.

#4 - 2024-08-15 00:12 - J6rg Riesmeier
- Status changed from New to Closed

- % Done changed from 0 to 100

Closed with commit 6a630164da.
